if(!dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.widget.spaceFilter"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.widget.spaceFilter"] = true;
dojo.provide("com.ibm.mm.builder.iwidget.spacemanager.widget.spaceFilter");
dojo.declare("com.ibm.mm.builder.iwidget.spacemanager.widget.spaceFilter", [dijit._Widget, dijit._Templated], {
	templateString : "<div><input style='width:200px' type='text' dojoAttachPoint='_inputNode'></div>",
	
	constructor : function() {
		this._throlt = 200;
		this._userEntered = false;
		this._timeoutId = null;
		this._constants = com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants;
		this._bundle = com.ibm.mm.builder.coreWidgetsStrings;
	},
	
	postCreate : function() {
		this.hint = this._bundle.I_SPACE_MANAGER_FILTER_SPACES;
		this._inputNode.value = this.hint;
		this._inputNode.title = this._bundle.I_SPACE_MANAGER_FILTER_SPACES_TITLE;
		this.connect(this._inputNode, "onfocus", this._inputFocus);
		this.connect(this._inputNode, "onblur", this._inputBlur);
		this.connect(this._inputNode, "onkeyup", this._keyUp);
	},
	
	_inputFocus : function(event) {
		var input = event.target;
		if (!this._userEntered) {
			input.value = "";
		}
		dojo.stopEvent(event);
	},
	
	_inputBlur : function(event) {
		var input = event.target;
		if (!this._userEntered) {
			input.value = this.hint;
		}
		dojo.stopEvent(event);
	},
	
	_keyUp : function(event) {
		var input = event.target;
		var value = dojo.trim(input.value);
		this._userEntered = !!value;
		var keyCode = event.keyCode;
		if ((keyCode !=16 && keyCode != 8 && keyCode < 32) || (keyCode >= 33 && keyCode < 46) || (keyCode >= 112 && keyCode <= 123)) {
			dojo.stopEvent(event);
			return;
		}
		if (this._timeoutId) {
			window.clearTimeout(this._timeoutId);
		}
		this._timeoutId = window.setTimeout(dojo.hitch(this, this._notifyFilter, value), this._throlt);
	},
	
	_notifyFilter : function(value) {
		dojo.publish(this._constants.Topic.Space.filter, [value]);
	}
});

}
