/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.SkinModel");

dojo.require("com.ibm.mashups.enabler.ListModel");
dojo.require("com.ibm.mashups.enabler.ResourceLocator");
//<INTERFACE>
/**
 * Interface for a skin model. This list model describes a list of skin objects.<br>
 * <br>
 * The skin model supports the following strategies:
 * <ul>
 * <li>{@link com.ibm.mashups.enabler.strategy.ListLoadAheadStrategy ListLoadAheadStrategy}</li>
 * <li>{@link com.ibm.mashups.enabler.strategy.HiddenMetaDataLoadingStrategy HiddenMetaDataLoadingStrategy}</li>
 * </ul>
 * @ibm-api
 * @ibm-module ThemeModel
 */
dojo.declare("com.ibm.mashups.enabler.model.SkinModel", [com.ibm.mashups.enabler.ListModel, com.ibm.mashups.enabler.ResourceLocator], {
    
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.theme.SkinModelImpl");
