/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.state.PageAccessor");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.model.state.Accessor");
/**
 * Interface representing an PageAccessor.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.model.state.PageAccessor", [com.ibm.mashups.enabler.model.state.Accessor] , {
    /**
     * Returns the of the page within a space.
     * @type String
     * @return {String} The page id of provided space
     */
	getPageID:function() {
	},
	 /**
     * Sets the page of the space
     * @param {String} pageId id of page
     * @type void
     */
	setPageID:function(pageId) {
	},
	 /**
     * Confirms if it's possible to set a new page id
     * @param {String} pageId id of page
     * @type Boolean
     * @return{Boolean} return true if it's possible to set a new page id
     */
	confirmSetPageID:function(pageId) {
		return true;
	}
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.model.state.PageAccessorImpl");
