# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2011. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys
import java.io.File as File;

tempFilePath = sys.argv[0];

print "Server name has not been set.  Try to find it";
servers = AdminTask.listServers('[-serverType APPLICATION_SERVER ]');
index = servers.find("(");
if (index >0):
	serverName = servers[0:index];
	print "Setting server name to be: " + serverName;
else:
	print "Could not resolve server name.  Using server1";
	serverName = "server1";

file=open(tempFilePath,'w');
s='bspaceServerName=' + serverName + '\n';
file.write(s);
file.close();
