# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2011. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys

#initialize the variables
wasHome = None
clusterName = None
nodeName = None
serverName = None

if ((len(sys.argv) == 2)):
    wasHome = sys.argv[0]
    clusterName = sys.argv[1]
    scope = 'WebSphere:cell=' + cellName + ',cluster=' + clusterName
elif ((len(sys.argv) == 3)):
    wasHome = sys.argv[0]
    nodeName = sys.argv[1]
    serverName= sys.argv[2]
    scope = 'WebSphere:cell=' + cellName + ',node=' + nodeName + ',server=' + serverName
else:
    print "Incorrect Parameters"
    sys.exit(-1)
#endif

if ( clusterName is not None ):
    AdminTask.upgradeBusinessSpaceSchemaForMigration('[-clusterName ' + clusterName + ']')
elif ( (nodeName is not None) and (serverName is not None) ):
    AdminTask.upgradeBusinessSpaceSchemaForMigration('[-nodeName ' + nodeName + ' -serverName ' + serverName + ']')
#endif   
    
#save
AdminConfig.save()

